# https://taskfile.dev

version: "3"

vars:
  GREETING: Hello, World!

tasks:
  default: task --list-all

  dev:
    desc: "Build & watch"
    cmds:
      - cargo watch -cs "task build-dev"
      # - cargo watch -cs "task build"

  build-dev:
    cmds:
      - which rustc # for debugging
      - wasm-pack build --dev --target web -d dist/

  build:
    desc: "Release build"
    cmds:
      - wasm-pack build --target web -d dist/
